# General Bots Templates

The General Bots Templates offer a versatile suite of tools designed to enhance data interaction and streamline processes across various domains. The AI Search template allows users to perform comprehensive searches across multiple document types, providing PDF previews and AI-generated summaries, while integrating seamlessly with Enterprise Document Management systems. The Crawler template excels at extracting data from websites, enhancing model accuracy through real-time updates. In the education sector, the LLM Tools template streamlines enrollment processes and automates administrative tasks, integrating effectively with legacy systems to manage backend data.

In the legal field, the Law template facilitates quick access to case summaries and interactive document querying, thereby supporting extensive legal research. The LLM Server template empowers developers to use LLMs as REST APIs, simplifying legacy application integration and enabling easy API generation. Meanwhile, the LLM Tools template emphasizes custom data integration, providing real-time access and supporting tailored logic. Lastly, the Talk to Data template transforms SQL interactions by allowing natural language queries and generating insightful charts, thus enhancing business intelligence capabilities. Together, these templates provide a robust framework for leveraging AI and data analytics across various applications.

| **Template**            | **Title**                               | **Key Feature 1**                       | **Key Feature 2**                     | **Key Feature 3**                    |
|------------------------|-----------------------------------------|-----------------------------------------|---------------------------------------|--------------------------------------|
| **AI Search**          | Comprehensive Document Search           | Supports All Document Types             | Displays PDF Page and AI Summary      | Integration with EDM Systems         |
| **Crawler**            | Training LLM with Website Data          | Efficient Data Extraction                | Enhanced Model Accuracy                | Real-Time Knowledge Updates          |
| **Education**          | LLM Tools for Education Systems         | Streamlined Enrollment Processes         | Data Management for Backend Integration | Administrative Task Automation       |
| **Law**                | Law Case Summaries and Interaction      | Case Summarization                     | Document Querying                     | Legal Research                        |
| **LLM Server**        | Using LLMs as REST APIs                | Integrates with Legacy Applications      | Easy API Generation                   | Streamlined Development Process       |
| **LLM Tools**         | Custom Integration with Data Sources    | Real-Time Data Access                   | Custom Logic for LLM Integration      | Integration with Legacy Systems      |
| **Talk to Data**      | SQL Interaction and Chart Generation    | Natural Language Queries                | Chart Generation                      | Business Intelligence Dashboards      |

[Full Documentation](https://docs.pragmatismo.com.br)
